%define major 2.12
%define oname pygobject

Name: python-module-pygobject
Version: %major.3
Release: alt1

Summary: Python bindings for GObject

License: LGPL
Group: Development/Python
Url: http://www.pygtk.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://ftp.gnome.org/pub/GNOME/sources/%oname/%major/%oname-%version.tar.bz2
Patch: %oname-2.12.2-alt-link.patch

%setup_python_module pygtk

%add_python_lib_path  %python_sitelibdir/gtk-2.0
%add_findprov_lib_path %python_sitelibdir/gtk-2.0/gtk

BuildRequires: glib2-devel >= 2.8.0
Conflicts: python-module-pygtk <= 2.8.2-alt2.1

# manually removed: eric gcc-g77 libg2c-devel 
# Automatically added by buildreq on Sat Feb 11 2006
BuildRequires: gcc-c++ glib2-devel libstdc++-devel pkg-config python-base python-dev python-modules-encodings

%description
This archive contains bindings for the GObject, to be used in Python
It is a fairly complete set of bindings, it's already rather useful, 
and is usable to write moderately complex programs.  (see the
examples directory for some examples of the simpler programs you could
write).

%package devel
Summary: Development files for %oname
Group: Development/Python
Requires: %name = %version-%release
Conflicts: python-module-pygtk-devel <= 2.8.2-alt2.1

%description devel
Development files for %oname.

%prep
%setup -q -n %oname-%version
%__subst "s|^TMPDIR.*||g" Makefile*
%patch -p1

%build
%configure --with-pic --disable-static
%make_build

%install
%make_install install DESTDIR=%buildroot
mkdir -p %buildroot%_includedir/python%__python_version
mv %buildroot%_includedir/pygtk-2.0 %buildroot%_includedir/python%__python_version/pygtk
%__subst "s|\${includedir}/pygtk-2.0|\${includedir}/python%__python_version/pygtk|g" %buildroot/%_pkgconfigdir/*.pc

%files
%python_sitelibdir/pygtk.*
#%dir %python_sitelibdir/gtk-2.0/
%dir %python_sitelibdir/gtk-2.0/
%python_sitelibdir/gtk-2.0/gobject
%_datadir/pygobject

%files devel
%doc README AUTHORS NEWS ChangeLog examples
%_includedir/python%__python_version/pygtk
%python_sitelibdir/gtk-2.0/dsextras.*
%_pkgconfigdir/*
%_datadir/gtk-doc/html/pygobject/

%changelog
* Sat Apr 07 2007 Vitaly Lipatov <lav@altlinux.ru> 2.12.3-alt1
- new version 2.12.3 (with rpmrb script)

* Tue Feb 06 2007 Vitaly Lipatov <lav@altlinux.ru> 2.12.2-alt1
- fix linking, packing - applied patches from Valery Inozemtsev (fix bug #10771)

* Sat Nov 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.12.2-alt0.1
- new version 2.12.2 (with rpmrb script)

* Sun Sep 03 2006 Vitaly Lipatov <lav@altlinux.ru> 2.11.4-alt0.1
- new version 2.11.4 (with rpmrb script)

* Sun Jul 30 2006 Vitaly Lipatov <lav@altlinux.ru> 2.11.0-alt0.1
- new version
- remove broken TMPDIR definition from Makefile!

* Tue Jul 25 2006 Vitaly Lipatov <lav@altlinux.ru> 2.10.1-alt0.1
- new version 2.10.1 (with rpmrb script)

* Mon Jul 24 2006 Vitaly Lipatov <lav@altlinux.ru> 2.11.0-alt0.1
- new version 2.11.0 (with rpmrb script)

* Tue Mar 07 2006 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt1
- add conflicts to old pygtk in -devel package

* Sat Mar 04 2006 Vitaly Lipatov <lav@altlinux.ru> 2.9.1-alt0.1
- new version (2.9.1)

* Sat Feb 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.9.0-alt0.1
- initial build for ALT Linux Sisyphus
